package com.tencent.mm.af;

import com.google.firebase.analytics.FirebaseAnalytics$b;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.c.t;
import com.tencent.mm.sdk.a.b;
import com.tencent.mm.sdk.e.c.a;
import com.tencent.mm.sdk.platformtools.ab;
import java.lang.reflect.Field;
import java.lang.reflect.Modifier;
import junit.framework.Assert;

public final class j extends t {
    public static a ccO;

    public final a Ag() {
        return ccO;
    }

    private static final boolean XA() {
        AppMethodBeat.i(77791);
        Field[] declaredFields = b.class.getDeclaredFields();
        int i = 0;
        for (Field modifiers : declaredFields) {
            if (!Modifier.isStatic(modifiers.getModifiers())) {
                i++;
            }
        }
        if (i > 196) {
            ab.e("MicroMsg.AppMessage", "AppMessage.Content should not add new field!!! (%d) is over the limit(%d)!!!", new Object[]{Integer.valueOf(i), Integer.valueOf(196)});
            AppMethodBeat.o(77791);
            return false;
        }
        ab.i("MicroMsg.AppMessage", "AppMessage.Content nonStaticFieldCount: %d", new Object[]{Integer.valueOf(i)});
        AppMethodBeat.o(77791);
        return true;
    }

    static {
        AppMethodBeat.i(77792);
        a aVar = new a();
        aVar.xDb = new Field[7];
        aVar.columns = new String[8];
        StringBuilder stringBuilder = new StringBuilder();
        aVar.columns[0] = "msgId";
        aVar.xDd.put("msgId", "LONG default '0'  PRIMARY KEY ");
        stringBuilder.append(" msgId LONG default '0'  PRIMARY KEY ");
        stringBuilder.append(", ");
        aVar.xDc = "msgId";
        aVar.columns[1] = "xml";
        aVar.xDd.put("xml", "TEXT");
        stringBuilder.append(" xml TEXT");
        stringBuilder.append(", ");
        aVar.columns[2] = "appId";
        aVar.xDd.put("appId", "TEXT");
        stringBuilder.append(" appId TEXT");
        stringBuilder.append(", ");
        aVar.columns[3] = "title";
        aVar.xDd.put("title", "TEXT");
        stringBuilder.append(" title TEXT");
        stringBuilder.append(", ");
        aVar.columns[4] = "description";
        aVar.xDd.put("description", "TEXT");
        stringBuilder.append(" description TEXT");
        stringBuilder.append(", ");
        aVar.columns[5] = FirebaseAnalytics$b.SOURCE;
        aVar.xDd.put(FirebaseAnalytics$b.SOURCE, "TEXT");
        stringBuilder.append(" source TEXT");
        stringBuilder.append(", ");
        aVar.columns[6] = "type";
        aVar.xDd.put("type", "INTEGER");
        stringBuilder.append(" type INTEGER");
        aVar.columns[7] = "rowid";
        aVar.sql = stringBuilder.toString();
        ccO = aVar;
        if (b.dnO()) {
            Assert.assertTrue(XA());
        }
        AppMethodBeat.o(77792);
    }
}
